CREATE TABLE lowcode_base_module (
    id NUMBER(20) NOT NULL,
    module_code VARCHAR2(45) DEFAULT ' ' NOT NULL,
    module_name VARCHAR2(32) DEFAULT ' ' NOT NULL,
    module_description VARCHAR2(255) DEFAULT ' ' NOT NULL,
    module_version VARCHAR2(16) DEFAULT 'v1.0.0' NOT NULL,
    env VARCHAR2(16) DEFAULT ' ' NOT NULL,
    package_id NUMBER(20) DEFAULT '0' NOT NULL,
    project_id NUMBER(20) DEFAULT '0' NOT NULL,
    module_type NUMBER(4) DEFAULT '1' NOT NULL,
    request_mode VARCHAR2(16) DEFAULT 'POST' NOT NULL,
    is_login NUMBER(4) DEFAULT '0' NOT NULL,
    process_conf CLOB,
    valid NUMBER(4) DEFAULT '0' NOT NULL,
    gmt_create DATE DEFAULT SYSDATE NOT NULL,
    gmt_modified DATE DEFAULT SYSDATE NOT NULL,
    params CLOB,
    mock CLOB,
    chart_url VARCHAR2(255) DEFAULT ' ' NOT NULL,
    interrupt CLOB,
    create_user NUMBER(20) DEFAULT '0' NOT NULL,
    modified_user NUMBER(20) DEFAULT '0' NOT NULL,
    system_version VARCHAR2(16) DEFAULT ' ' NOT NULL,
    conf CLOB,
    sort NUMBER(11) DEFAULT '1' NOT NULL,
    constraint TF_MODULE_PK primary key(id)
)